Subject: Re: 1.7.5-1: a problem with mkgroup
From: Yuval Emek <[email-masked]>
To: [email-masked]
Date: Wed, 21 Apr 2010 12:59:37 +0300
List-Id: <cygwin.cygwin.com>

On Wed, Apr 21, 2010 at 00:43, Larry Hall (Cygwin) wrote:
> On 4/20/2010 9:38 AM, Yuval Emek wrote:
>>
>> When invoking a cygwin bash shell window, I'm getting the following
>> message:
>> ***message begins***
>> Your group is currently "mkgroup".  This indicates that neither
>> your gid nor your pgsid (primary group associated with your SID)
>> is in /etc/group.
>>
>> The /etc/group (and possibly /etc/passwd) files should be rebuilt.
>> See the man pages for mkpasswd and mkgroup then, for example, run
>>
>> mkpasswd -l [-d]>  /etc/passwd
>> mkgroup  -l [-d]>  /etc/group
>>
>> Note that the -d switch is necessary for domain users.
>> ***message ends***
>>
>> An attempt to run mkgroup ends in:
>> $ mkgroup
>> SYSTEM:S-1-5-18:18:
>> mkgroup (101): [1355] The specified domain either does not exist or could
>> not be contacted.
>
> According to your cygcheck output says you have an old installation in
> 'd:\cygwin-old'. If true, please remove this and then run:
>
>  cygcheck --delete-orphaned-installation-keys

This is very strange mainly because I don't have (and I never had) a
D:\ partition on my laptop. (How did you extract this info from my
cygcheck output btw?)

Running cygcheck --delete-orphaned-nstallation-keys and then
reinstalling everything (with setup.exe) didn't work.
However, running cygcheck --delete-orphaned-nstallation-keys,
uninstalling cygwin entirely (by following the instructions in
http://cygwin.com/faq/faq-nochunks.html#faq.setup.uninstall-all), and
then installing it from scratch did work (hooray)!

So, this problem is solved (thanks), but the problem I reported in
http://cygwin.com/ml/cygwin/2010-04/msg00740.html remains (back to
that thread).

   Yuval

>
> Then reinstall Cygwin in it's current location (just re-run "setup.exe"
> and specify "Reinstall" for "All".  Your current installation is
> incomplete, presumably because of some conflict with your "old"
> installation.
>
> --
> Larry Hall                              http://www.rfk.com
> RFK Partners, Inc.                      (508) 893-9779 - RFK Office
> 216 Dalton Rd.                          (508) 893-9889 - FAX
> Holliston, MA 01746
>
> _____________________________________________________________________
>
> A: Yes.
>>
>> Q: Are you sure?
>>>
>>> A: Because it reverses the logical flow of conversation.
>>>>
>>>> Q: Why is top posting annoying in email?
>
> --
> Problem reports:       http://cygwin.com/problems.html
> FAQ:                   http://cygwin.com/faq/
> Documentation:         http://cygwin.com/docs.html
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>
>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple